import request from '/@/utils/request';

export function riskControlMeasureApi() {
    return {
        // v1
        getRiskControlMeasureList: (data: object) => {
            return request({
                url: `/prevent/riskControlMeasure/select/getRiskControlMeasurePage`,
                method: 'post',
                data: data
            });
        },
        // v1
        addRiskControlMeasure: (data: object) => {
            return request({
                url: `/prevent/riskControlMeasure/insert/saveRiskControlMeasure`,
                method: 'post',
                data: data
            });
        },
        // v1
        modRiskControlMeasure: (data: object) => {
            return request({
                url: `/prevent/riskControlMeasure/update/updateRiskControlMeasure`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteRiskControlMeasure: (data: object) => {
            return request({
                url: `/prevent/riskControlMeasure/delete/deleteRiskControlMeasure`,
                method: 'post',
                data: data
            });
        },
        getClassifyData: () => {
            return request({
                url: `/prevent/riskControlMeasure/select/listMeasures`,
                method: 'post'
            });
        }
    };
}
